import Image from "next/image";

export default function AuthLayout({
	children,
}: { children: React.ReactNode }) {
	return (
		<div className="bg-gray-100 dark:bg-black w-full h-screen flex items-center justify-center font-sans">
			<div className="flex flex-col items-center justify-center w-full h-full ">
				<Image alt="Sar Link Logo" src="/logo.png" width={100} height={100} />
				<div className="mt-4 flex flex-col items-center justify-center">
					<h4 className="font-bold text-xl text-sarLinkOrange dark:text-gray-400">
						SAR Link Portal
					</h4>
					<p className="text-gray-400">
						Pay for your devices and track your bills.
					</p>
				</div>
				{children}
			</div>
		</div>
	);
}
